net.sourceforge.pmd

## Class RuleSetReferenceIdTest

- java.lang.Object
- - net.sourceforge.pmd.RuleSetReferenceIdTest

    public class RuleSetReferenceIdTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RuleSetReferenceIdTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testAbsolutePathRuleSet()`
`void` `testCommaInSingleId()`
`void` `testEmptyRuleSet()`
`void` `testExternalWithExternal()`
`void` `testExternalWithInternal()`
`void` `testFooRules()`
`void` `testFullRuleSetAndRule()`
`void` `testFullRuleSetURLAndRule()`
`void` `testInteralWithExternal()`
`void` `testInternalRuleSetAndRule()`
`void` `testInternalWithExternalRuleSet()`
`void` `testInternalWithInternal()`
`void` `testMixRuleSet()`
`void` `testMultipleFullRuleSet()`
`void` `testMultipleSimpleRuleSet()`
`void` `testOneFullRuleSet()`
`void` `testOneFullRuleSetURL()`
`void` `testOneReleaseRuleSet()`
`void` `testOneSimpleRuleSet()`
`void` `testRelativePathRuleSet()`
`void` `testSimpleRuleSetAndRule()`
`void` `testUnknownAndSimpleRuleSet()`
`void` `testUnknownRuleSet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuleSetReferenceIdTest

    public RuleSetReferenceIdTest()

### Method Detail

#### testCommaInSingleId

    public void testCommaInSingleId()

#### testInternalWithInternal

    public void testInternalWithInternal()

#### testExternalWithExternal

    public void testExternalWithExternal()

#### testExternalWithInternal

    public void testExternalWithInternal()

#### testInteralWithExternal

    public void testInteralWithExternal()

#### testEmptyRuleSet

    public void testEmptyRuleSet()

#### testInternalWithExternalRuleSet

    public void testInternalWithExternalRuleSet()

#### testOneSimpleRuleSet

    public void testOneSimpleRuleSet()

#### testMultipleSimpleRuleSet

    public void testMultipleSimpleRuleSet()

#### testOneReleaseRuleSet

    public void testOneReleaseRuleSet()

#### testOneFullRuleSet

    public void testOneFullRuleSet()

#### testOneFullRuleSetURL

    public void testOneFullRuleSetURL()

#### testMultipleFullRuleSet

    public void testMultipleFullRuleSet()

#### testMixRuleSet

    public void testMixRuleSet()

#### testUnknownRuleSet

    public void testUnknownRuleSet()

#### testUnknownAndSimpleRuleSet

    public void testUnknownAndSimpleRuleSet()

#### testSimpleRuleSetAndRule

    public void testSimpleRuleSetAndRule()

#### testFullRuleSetAndRule

    public void testFullRuleSetAndRule()

#### testFullRuleSetURLAndRule

    public void testFullRuleSetURLAndRule()

#### testInternalRuleSetAndRule

    public void testInternalRuleSetAndRule()

#### testRelativePathRuleSet

    public void testRelativePathRuleSet()

#### testAbsolutePathRuleSet

    public void testAbsolutePathRuleSet()

#### testFooRules

    public void testFooRules()
                      throws Exception

Throws:
  `Exception`

#### suite

    public static junit.framework.Test suite()